<template>
  <svg :width="width" :height="height" viewBox="0 0 10 10">
    <g :transform="transform">
      <path d="M 2 4 L 8 5 L 2 6 L 3 5 z" :fill="fillColor"/>
    </g>
  </svg>
</template>

<script>
export default {
  name: 'winddirarrow',

  props: {
    width: {
      required: true,
    },

    height: {
      required: true,
    },

    angle: {
      type: Number,
      required: true,
    },

    fillColor: {
      type: String,
      default: '#323232'
    },
  },

  computed: {
    transform: {
      get() {
        return `rotate(${this.angle}, 5, 5)`
      }
    }
  }
}
</script>
